# Self-Hosting

You can access the model here: <https://huggingface.co/bespokelabs/Bespoke-Minicheck-7B>

Feel free to use this [colab](https://colab.research.google.com/drive/1s-5TYnGV3kGFMLp798r5N-FXPD8lt2dm?usp=sharing) which uses the MiniCheck library that supports automated chunking of long documents.

Or, you can host the model directly on vLLM with docker as follows:

````sh
```shellscript
sudo docker run \
  --runtime=nvidia \
  --gpus=all \
  -v ~/.cache/huggingface:/root/.cache/huggingface     \
  --env "HUGGING_FACE_HUB_TOKEN=hf_xyz" \
  --ipc=host \
  -p 8000:8000 \
  vllm/vllm-openai:latest \
  --model bespokelabs/Bespoke-MiniCheck-7B --trust_remote_code --api-key your_api_key --disable-log-requests \
  --dtype bfloat16 \
  --max-model-len 32768 \
  --tensor-parallel-size 1 &
```
````

Please contact us for commercial licensing.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bespokelabs.ai/models/bespoke-minicheck/hosting.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
